# Backpack

Backpack : `Instance`

## Overview

A Backpack is a storage for tools and items owned by a player

A Backpack contains unequipped Tools, which are automatically displayed in the inventory UI at the bottom of the screen. When a player selects a Tool from the inventory UI, the Tool is equipped and moved to the character model.

Additionally, Scripts and LocalScripts can be stored in a Backpack and automatically run when located there.

This object is accessible from both server and client environments.

## Properties

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/backpack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
